%define		module		Louie
Summary:	Signal dispatching mechanism
Summary(pl.UTF-8):	Mechanizm rozprowadzania sygnałów
Name:		python-%{module}
Version:	1.1
Release:	7
License:	BSD
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/L/Louie/%{module}-%{version}.tar.gz
# Source0-md5:	46a61f7a88c624433c96f28ae30aa1a4
URL:		http://pylouie.org/
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel
BuildRequires:	python-setuptools >= 0.6-0.c1
BuildRequires:	rpm-pythonprov
Requires:	python-nose >= 0.8.3
%pyrequires_eq	python-libs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Louie provides Python programmers with a straightforward way to
dispatch signals between objects in a wide variety of contexts. It is
based on PyDispatcher, which in turn was based on a highly-rated
recipe in the Python Cookbook.

%description -l pl.UTF-8
Louie udostępnia programistom Pythona bezpośredni sposób
rozprowadzania sygnałów między obiektami w szerokim zakresie
kontekstów. Jest oparty na module PyDispatcher, który z kolei jest
oparty na przepisie z dokumentu "Python Cookbook".

%prep
%setup -qn %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_postclean
rm -rf $RPM_BUILD_ROOT%{py_sitescriptdir}/louie/test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{py_sitescriptdir}/louie
%{py_sitescriptdir}/louie/*.py[co]
%{py_sitescriptdir}/Louie-%{version}-py*.egg-info
%changelog
* Sun Feb 28 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-Louie.git;a=log;h=master

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 9546e4b
- release 7 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 5c780d8
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 382f0e5
- release 6 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 87e7fcc
- automatic change: use py_build/py_install macros

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> f933291
- release 5

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 881cfbe
- release 4

* Thu Nov 26 2009 sparky <sparky@pld-linux.org> fb1cb9b
- BR: python-devel

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 370ac40
- release 3

* Mon Jul 07 2008 dzeus <dzeus@pld-linux.org> f0e6dda
- rel. 2

* Sat May 03 2008 Patryk Zawadzki <patrys@room-303.com> 115bdd5
- R: python-nose
- rel 1

* Sun Aug 26 2007 Jakub Bogusz <qboosh@pld-linux.org> 3816f19
- pl

* Thu Aug 16 2007 aflinta <aflinta@pld-linux.org> 25aa039
- PLD initial release

